Bug 529085

Summary: greadelf fails to start
Product: [Fedora] Fedora Reporter: Josh Stone <jistone>
Component: greadelfAssignee: ashok <ashok.s.das>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: ashok.s.das, panemade
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-19 19:42:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Josh Stone 2009-10-14 21:23:42 UTC
Description of problem:
I can't get greadelf to run at all.

Version-Release number of selected component (if applicable):
greadelf-1.0-3.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Simply run greadelf
  
Actual results:
Outputs this on the console and then hangs:
(greadelf:23927): Gtk-CRITICAL **: gtk_widget_ref: assertion `GTK_IS_WIDGET (widget)' failed

Expected results:
I've never tried this program before, but I assume I should see a GUI...

Additional info:
Stepping in gdb reveals that the error message comes from here:

#0  gtk_widget_ref (widget=0x0) at gtkwidget.c:8665
#1  0x0000000000404b51 in create_window1 () at interface.c:644
#2  0x00000000004028fd in main (argc=1, argv=0x7fffffffdfe8) at main.c:36

For reference, those lines are:

gtk+-2.16.6/gtk/gtkwidget.c:8665:
  g_return_val_if_fail (GTK_IS_WIDGET (widget), NULL);

greadelf-1.0/src/interface.c:644:
  GLADE_HOOKUP_OBJECT (window1, textview1, "textview1");

greadelf-1.0/src/main.c:36:
  window1 = create_window1 ();

So textview1 is NULL, and I don't see code anywhere to initialize it.

Comment 1 ashok 2009-10-17 05:39:28 UTC
This is not found in 32-bit fedora, Have you checked with 32-bit?

if you could provide installed libs and lDD output it would help to pinpoint 
the problem.

Comment 2 Josh Stone 2009-10-19 19:42:37 UTC
Sorry, I must have had some libraries in update-limbo.  I rebooted over the weekend, and now I do see the GUI.  (The Gtk-CRITICAL message is still present though.)